Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78694

Summary: emacs core dump
Product: [Retired] Red Hat Raw Hide Reporter: Jonathan Kamens <jik>
Component: emacsAssignee: Jens Petersen <petersen>
Status: CLOSED WORKSFORME QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-12-18 08:24:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jonathan Kamens 2002-11-27 18:07:25 UTC
I have emacs-21.2-22 installed.  It just coredumped on me (segfault), I think
when I hit C-x C-c to exit.  Here's the stack trace:

#0  0x40006a42 in do_lookup_versioned () from /lib/ld-linux.so.2
#1  0x40005e37 in _dl_lookup_versioned_symbol_internal ()
   from /lib/ld-linux.so.2
#2  0x40008b55 in fixup () from /lib/ld-linux.so.2
#3  0x40008c90 in _dl_runtime_resolve () from /lib/ld-linux.so.2
#4  0x080da7e3 in fatal_error_signal ()
#5  <signal handler called>
#6  0x40006a42 in do_lookup_versioned () from /lib/ld-linux.so.2
#7  0x40005e37 in _dl_lookup_versioned_symbol_internal ()
   from /lib/ld-linux.so.2
#8  0x40008b55 in fixup () from /lib/ld-linux.so.2
#9  0x40008c90 in _dl_runtime_resolve () from /lib/ld-linux.so.2
#10 0x081397bb in Ffuncall ()
#11 0x08164193 in Fbyte_code ()
#12 0x08139bbe in funcall_lambda ()
#13 0x081396cc in Ffuncall ()
#14 0x08135307 in Fcall_interactively ()
#15 0x080e79eb in Fcommand_execute ()
#16 0x080dd6db in command_loop_1 ()
#17 0x0813793a in internal_condition_case ()
#18 0x080dd23d in command_loop_2 ()
#19 0x081374a9 in internal_catch ()
#20 0x080dd1e7 in command_loop ()
#21 0x080dccae in recursive_edit_1 ()
#22 0x080dcde3 in Frecursive_edit ()
#23 0x080db669 in main ()
#24 0x4030d56d in __libc_start_main () from /lib/libc.so.6

I realize that's not terribly, useful, but it's all I've got.  If there's
something more I can give you to help, let me know.

Comment 1 Jens Petersen 2002-11-28 06:05:22 UTC
Ok, thanks for the report.  If you're able to reproduce
the crash, then please describe how to do that.

Comment 2 Jens Petersen 2002-12-18 08:24:45 UTC
Closing for now for lack of further information.